Public Module Helpers

    ''' <summary>
    ''' Casts, um aus einem untypisiertem DataRowView die typisierte 
    '''  Row zu ermitteln
    ''' </summary>
    Public Function GetRow(Of T As DataRow)(ByVal Current As Object) As T
        Return DirectCast(DirectCast(Current, DataRowView).Row, T)
    End Function

    ''' <summary>
    ''' berprft vor einer Zuweisung, ob der neue Wert auch eine nderung 
    '''  bedeutet
    ''' </summary>
    Public Function AssignSave(Of T, T2 As T)(ByRef Dest As T, _
        ByVal Src As T2) As Boolean

        If Object.Equals(Dest, Src) Then Return False
        Dest = Src
        Return True
    End Function

End Module
